import type { DateTime } from "../tools/types/index.js";
import type { App } from "./app.js";
import { Record as RecordModel } from "./record_model.js";
import { BaseRecordProxy } from "./record_proxy.js";
export declare const CollectionNameExternalAuths = "_externalAuths";
export declare class ExternalAuth extends BaseRecordProxy {
    constructor(record?: RecordModel | null);
    PreValidate(_ctx: unknown, _app: App): Error | null;
    get Id(): string;
    set Id(value: string);
    CollectionRef(): string;
    SetCollectionRef(collectionId: string): void;
    RecordRef(): string;
    SetRecordRef(recordId: string): void;
    Provider(): string;
    SetProvider(provider: string): void;
    ProviderId(): string;
    SetProviderId(providerId: string): void;
    Created(): DateTime;
    Updated(): DateTime;
}
export declare function NewExternalAuth(app: App): ExternalAuth;
